<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>First Peak UI</title>

  <!-- Custom fonts for this template-->
  <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
  <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">

  <!-- Custom styles for this template-->
  <link href="css/sb-admin-2.min.css" rel="stylesheet">

</head>

<body class="bg-gradient-primary">

  <div class="container">

    <!-- Outer Row -->
    <div class="row justify-content-center">

      <div class="col-xl-10 col-lg-12 col-md-9">

        <div class="card o-hidden border-0 shadow-lg my-5">
          <div class="card-body p-0">
            <!-- Nested Row within Card Body -->
            <div class="row">
              <div class="col-lg-6 d-none d-lg-block bg-login-image"></div>
              <div class="col-lg-6">
                <div class="p-5">
                  <div class="text-center">
                    <h1 class="h4 text-gray-900 mb-4">Welcome Back!</h1>
                  </div>
                  <form id="login_form" name="form1" method="post">
                    <div class="form-group">
                      <input type="text" class="form-control form-control-user" id="uname" placeholder="Enter Email Address...">
                    </div>
                    <div class="form-group">
                      <input type="password" class="form-control form-control-user" id="pswrd" placeholder="Password">
                    </div>
                    <!-- <div class="form-group">
                      <div class="custom-control custom-checkbox small">
                        <input type="checkbox" class="custom-control-input" id="customCheck" required="required">
                        <label class="custom-control-label" for="customCheck">Remember Me</label>
                      </div>
                    </div> -->
                    <!-- <a href="home.html" class="btn btn-primary btn-user btn-block">
                      Login
                    </a> -->
                  
                        <input type="button" class="btn btn-primary btn-user btn-block" value="Login" id="butlogin">


<!--                     <button type="submit" class="btn btn-primary btn-user btn-block" onclick="submit_by_id()">Login</button>
 -->                    <!-- <hr> -->
                    <!-- <a href="index.html" class="btn btn-google btn-user btn-block">
                      <i class="fab fa-google fa-fw"></i> Login with Google
                    </a>
                    <a href="index.html" class="btn btn-facebook btn-user btn-block">
                      <i class="fab fa-facebook-f fa-fw"></i> Login with Facebook
                    </a> -->
                  </form>

                  <p></p>

                  <hr>
                  <!-- <div class="text-center">
                    <a class="small" href="forgot-password.html">Forgot Password?</a>
                  </div>
                  <div class="text-center">
                    <a class="small" href="register.html">Create an Account!</a>
                  </div> -->
                </div>
              </div>
            </div>
          </div>
        </div>

      </div>

    </div>

  </div>

  
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>

<!-- <script>
$(document).ready(function(){
    $("form").submit(function(event){
        // Stop form from submitting normally
        event.preventDefault();
        
        /* Serialize the submitted form control values to be sent to the web server with the request */
        var formValues = $(this).serialize();
        var userName = $('#uname').val();
        // alert(userName);
        var password = $('#pswrd').val();
        // alert(password);
        var postForm = {userName:userName,password:password};
            
        // Send the form data using post
        $.post("http://3.93.137.122:6080/api/auth/appSignIn", postForm, function(data){
            // Display the returned data in browser

            alert("kk");

            $("#result").html(data);
        });
    });
});

</script> -->

 
  <!-- Bootstrap core JavaScript-->
  <script src="vendor/jquery/jquery.min.js"></script>
  <script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

  <!-- Core plugin JavaScript-->
  <script src="vendor/jquery-easing/jquery.easing.min.js"></script>

  <!-- Custom scripts for all pages-->
  <script src="js/sb-admin-2.min.js"></script>



 <script type="text/javascript">

$(function () {

   $('#butlogin').on('click', function() {
    alert("hii");
    var userName = $('#uname').val();
    var password = $('#pswrd').val();
    if(userName!="" && password!="" ){
      $.ajax({
        type: 'POST',
        url: 'http://3.93.137.122:6080/api/auth/appSignIn',
        data: {
          type:2,
          userName: userName,
          password: password            
        },
        dataType:'json',
        // crossDomain: true,
        cache:false,
        // contentType: "application/json; charset=utf-8",
        // headers: {
        //       Authorization: 'Bearer '+token
        //   },
        success: function(data){
          
          var dataResult = JSON.stringify(data);          
          alert(dataResult);
          if(dataResult){
          // function tokenSuccess(err, response) {
          //   alert(response);
          //     if(err){
          //         throw err;
          //     }
          //   window.sessionStorage.accessToken = response.body.access_token;
          // }
            alert("true");
            $("#success").show();
            $('#success').html('Login Sucessfully !');
           
          function saveToken() {
            localStorage.setItem('token', dataResult.accessToken);
            alert(localStorage);
         }
            window.location.href = "/home";            
          }
          else if(dataResult.statusCode==201){
            alert("false");
            $("#error").show();
            $('#error').html('Invalid EmailId or Password !');
          }
          
        }



      });
    }
    else{
      alert('Please fill all the field !');
    }
  });

 });


       
 </script>

</body>

</html>
